//*****************************************************//
//
// Unit: RsFileInfo.h
//
// Purpose: Header file for VersionInfo.cpp
//
// Inherits From: TComponent
//
// Project: Rapid Misc Components
//
// Author: Jeff Hiscock
//
// Date: February 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#ifndef RsFileInfoH
#define RsFileInfoH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class PACKAGE TRsFileInfo : public TComponent
{
private:
    String FBuildNumber;
    String FReleaseNumber;
    String FMajorVersion;
    String FMinorVersion;
    String FVersionString;
    TNotifyEvent FOnReadHeaderError;
    TNotifyEvent FOnGetFileInfoError;
    TNotifyEvent FOnNoFile;
    TFileName FFileName;
    bool FUseExe;
    String FSimpleVersion;

protected:
public:
        __fastcall TRsFileInfo(TComponent* Owner);
    void __fastcall Execute();
    __property String BuildNumber  = { read = FBuildNumber, write = FBuildNumber };
    __property String ReleaseNumber  = { read = FReleaseNumber, write = FReleaseNumber };
    __property String MajorVersion  = { read = FMajorVersion, write = FMajorVersion };
    __property String MinorVersion  = { read = FMinorVersion, write = FMinorVersion };
    __property String VersionString  = { read = FVersionString, write = FVersionString };
    __property String SimpleVersion  = { read = FSimpleVersion, write = FSimpleVersion };
__published:
    __property TNotifyEvent OnReadHeaderError  = { read = FOnReadHeaderError, write = FOnReadHeaderError };
    __property TNotifyEvent OnGetFileInfoError  = { read = FOnGetFileInfoError, write = FOnGetFileInfoError };
    __property TNotifyEvent OnNoFile  = { read = FOnNoFile, write = FOnNoFile };
    __property TFileName FileName  = { read = FFileName, write = FFileName };
    __property bool UseExe  = { read = FUseExe, write = FUseExe };

};
//---------------------------------------------------------------------------
#endif
